summaryrefslogtreecommitdiffstats
path: root/source/ap/texinfo
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-06-27 19:40:52 +0000
committer Eric Hameleers <alien@slackware.com>2018-06-28 09:00:32 +0200
commit233fc224df15f411fad82cafffa1fb5caa79ec03 (patch)
treef5c1918b45c5db9ca2dd10475327ce00e664800b /source/ap/texinfo
parent63f56cc135f65b25d924c16f959a8819e55740d9 (diff)
downloadcurrent-233fc224df15f411fad82cafffa1fb5caa79ec03.tar.gz
current-233fc224df15f411fad82cafffa1fb5caa79ec03.tar.xz
Wed Jun 27 19:40:52 UTC 201820180627194052
ap/texinfo-6.5-x86_64-5.txz: Rebuilt. Fixed unescaped left brace warning from perl-5.28.0. l/gdbm-1.16-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/ap/texinfo')
-rwxr-xr-xsource/ap/texinfo/texinfo.SlackBuild5
-rw-r--r--source/ap/texinfo/texinfo.fix.unescaped.left.brace.diff16
2 files changed, 20 insertions, 1 deletions
diff --git a/source/ap/texinfo/texinfo.SlackBuild b/source/ap/texinfo/texinfo.SlackBuild
index 62d580e57..4d7784cea 100755
--- a/source/ap/texinfo/texinfo.SlackBuild
+++ b/source/ap/texinfo/texinfo.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=texinfo
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,6 +81,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix for perl-5.28.0:
+zcat $CWD/texinfo.fix.unescaped.left.brace.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
diff --git a/source/ap/texinfo/texinfo.fix.unescaped.left.brace.diff b/source/ap/texinfo/texinfo.fix.unescaped.left.brace.diff
new file mode 100644
index 000000000..84dacb3b3
--- /dev/null
+++ b/source/ap/texinfo/texinfo.fix.unescaped.left.brace.diff
@@ -0,0 +1,16 @@
+--- ./tp/Texinfo/Parser.pm.orig 2017-09-12 13:49:03.000000000 -0500
++++ ./tp/Texinfo/Parser.pm 2018-06-27 13:14:33.982547765 -0500
+@@ -5478,11 +5478,11 @@
+ }
+ } elsif ($command eq 'clickstyle') {
+ # REMACRO
+- if ($line =~ /^\s+@([[:alnum:]][[:alnum:]\-]*)({})?\s*/) {
++ if ($line =~ /^\s+@([[:alnum:]][[:alnum:]\-]*)(\{})?\s*/) {
+ $args = ['@'.$1];
+ $self->{'clickstyle'} = $1;
+ $remaining = $line;
+- $remaining =~ s/^\s+@([[:alnum:]][[:alnum:]\-]*)({})?\s*(\@(c|comment)((\@|\s+).*)?)?//;
++ $remaining =~ s/^\s+@([[:alnum:]][[:alnum:]\-]*)(\{})?\s*(\@(c|comment)((\@|\s+).*)?)?//;
+ $has_comment = 1 if (defined($4));
+ } else {
+ $self->line_error (sprintf($self->__(